Skip to main content
GET
/
v1
/
warehouses
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/warehouses/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "aade7673-e63f-4b22-9baa-dd1783d27c44",
  "object": "warehouse",
  "label": "Main Warehouse",
  "default": false,
  "contact": "10c85d4a-15bd-4b98-bc64-505c36ff7df2",
  "created_at": 1778010943,
  "updated_at": 1778010943
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

label
string

The label for this warehouse.

default
boolean

Whether or not this warehouse is the account's default.

contact

Expandable – The associated contact ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.